summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2021-07-29 10:35:29 +0100
committerKieran Bingham <kieran.bingham@ideasonboard.com>2021-07-29 10:35:29 +0100
commit57fe04982a31aba1a1f4ec1ee033def31abeadc9 (patch)
tree77a02dcc053b578877c7fa79b97bc82930e80bcd
parent1ad28cbf2698d063c04488dd1286dc684708f23b (diff)
ci: simple-cam: Run the binary
Test that the binary can successfully run and capture with a good exit status. Signed-off-by: Kieran Bingham <kieran.bingham@ideasonboard.com>
-rwxr-xr-x60-simple-cam.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/60-simple-cam.sh b/60-simple-cam.sh
index 80e3440..1c057a9 100755
--- a/60-simple-cam.sh
+++ b/60-simple-cam.sh
@@ -50,11 +50,21 @@ function build() {
return $ret
}
+function run() {
+ BUILDDIR="$(builddir $ID)"
+
+ LD_LIBRARY_PATH=$LIBCAMERA_BUILD/src/libcamera:$LIBCAMERA_BUILD/src/libcamera/base \
+ $BUILDDIR/simple-cam
+}
+
logfile=$(log_filename $ID)
update_sources > $logfile
build >> $logfile
-pass_fail $? "simple-cam:"
+pass_fail $? "build simple-cam:"
+
+run >> $logfile
+pass_fail $? "run simple-cam:"
completed $ID